# ansible-role-etckeeper

ansible role to install etckeeper on debian/fedora/centos.

Examples
--------

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
roles:
    - { role: etckeeper,                    tags: ['system', 'etckeeper']}
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

To avoid `etckeeper` autocommits (daily or before package manager runs) set
`avoid_autocommits` to `true`:

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
roles:
    - { role: etckeeper,                    tags: ['system', 'etckeeper'],
        etckeeper_avoid_autocommits: true }
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

To send commit emails to root:

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
roles:
    - { role: etckeeper,                    tags: ['system', 'etckeeper'],
        etckeeper_avoid_autocommits: true,
        etckeeper_mailto: root }
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

The role sets "root <root@the.host.name>" as the default user/email in
etckeeper's git config. To change that set these options:

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
roles:
    - { role: etckeeper,                    tags: ['system', 'etckeeper'],
        etckeeper_user_name: "Charlie Root",
        etckeeper_user_email: "charlie@corp.com" }
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
